Package org.silverpeas.components.quickinfo

# Class QuickInfoComponentSettings

java.lang.Object
org.silverpeas.components.quickinfo.QuickInfoComponentSettings

All Implemented Interfaces:
  `Serializable`

public class QuickInfoComponentSettings extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMPONENT_NAME`
  The name of the Quickinfo component in Silverpeas.
  `static final String`
  `ICONS_PATH`
  The relative path of the properties file containing the references of the icons dedicated to the component.
  `static final String`
  `MESSAGES_PATH`
  The relative path of the i18n bundle of the component.
  `static final String`
  `PARAM_BROADCAST`
  `static final String`
  `PARAM_COMMENTS`
  `static final String`
  `PARAM_DELEGATED`
  `static final String`
  `PARAM_TAXONOMY`
  `static final String`
  `PARAM_USERVIEW`
  `static final String`
  `SETTINGS_PATH`
  The relative path of the properties file containing the settings of the component.
  `static final String`
  `VALUE_BROADCAST_BLOCKING`
  `static final String`
  `VALUE_BROADCAST_BOTH`
  `static final String`
  `VALUE_BROADCAST_TICKER`
  `static final String`
  `VALUE_USERVIEW_LISTING`
  `static final String`
  `VALUE_USERVIEW_MOSAIC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickInfoComponentSettings(String desc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `static org.silverpeas.kernel.bundle.LocalizationBundle`
  `getIcons()`
  Gets all the icons definitions particular to the Suggestion Box component.
  `static org.silverpeas.kernel.bundle.LocalizationBundle`
  `getMessagesIn(String language)`
  Gets all the messages for the Suggestion Box component and translated in the specified language.
  `static org.silverpeas.kernel.bundle.SettingBundle`
  `getSettings()`
  Gets all the settings of the Suggestion Box component.
  `boolean`
  `isBroadcastingByBlockingNews()`
  `boolean`
  `isBroadcastingByTicker()`
  `boolean`
  `isCommentsEnabled()`
  `boolean`
  `isDelegatedNewsEnabled()`
  `boolean`
  `isMosaicViewForUsers()`
  `boolean`
  `isNotificationAllowed()`
  `boolean`
  `isTaxonomyEnabled()`
  `void`
  `setBroadcastModes(String paramValue)`
  `void`
  `setCommentsEnabled(boolean commentsEnabled)`
  `void`
  `setDelegatedNewsEnabled(boolean delegatedNewsEnabled)`
  `void`
  `setMosaicViewForUsers(boolean mosaicView)`
  `void`
  `setNotificationAllowed(boolean notificationAllowed)`
  `void`
  `setTaxonomyEnabled(boolean taxonomyEnabled)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARAM_COMMENTS

    public static final String PARAM_COMMENTS
    See Also:
      - Constant Field Values

  - ### PARAM_TAXONOMY

    public static final String PARAM_TAXONOMY
    See Also:
      - Constant Field Values

  - ### PARAM_DELEGATED

    public static final String PARAM_DELEGATED
    See Also:
      - Constant Field Values

  - ### PARAM_BROADCAST

    public static final String PARAM_BROADCAST
    See Also:
      - Constant Field Values

  - ### VALUE_BROADCAST_TICKER

    public static final String VALUE_BROADCAST_TICKER
    See Also:
      - Constant Field Values

  - ### VALUE_BROADCAST_BLOCKING

    public static final String VALUE_BROADCAST_BLOCKING
    See Also:
      - Constant Field Values

  - ### VALUE_BROADCAST_BOTH

    public static final String VALUE_BROADCAST_BOTH
    See Also:
      - Constant Field Values

  - ### PARAM_USERVIEW

    public static final String PARAM_USERVIEW
    See Also:
      - Constant Field Values

  - ### VALUE_USERVIEW_MOSAIC

    public static final String VALUE_USERVIEW_MOSAIC
    See Also:
      - Constant Field Values

  - ### VALUE_USERVIEW_LISTING

    public static final String VALUE_USERVIEW_LISTING
    See Also:
      - Constant Field Values

  - ### COMPONENT_NAME

    public static final String COMPONENT_NAME
    The name of the Quickinfo component in Silverpeas.
    See Also:
      - Constant Field Values

  - ### SETTINGS_PATH

    public static final String SETTINGS_PATH
    The relative path of the properties file containing the settings of the component.
    See Also:
      - Constant Field Values

  - ### MESSAGES_PATH

    public static final String MESSAGES_PATH
    The relative path of the i18n bundle of the component.
    See Also:
      - Constant Field Values

  - ### ICONS_PATH

    public static final String ICONS_PATH
    The relative path of the properties file containing the references of the icons dedicated to the component.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QuickInfoComponentSettings

    public QuickInfoComponentSettings(String desc)

- ## Method Details

  - ### isCommentsEnabled

    public boolean isCommentsEnabled()

  - ### setCommentsEnabled

    public void setCommentsEnabled(boolean commentsEnabled)

  - ### getDescription

    public String getDescription()

  - ### getMessagesIn

    public static org.silverpeas.kernel.bundle.LocalizationBundle getMessagesIn(String language)
    Gets all the messages for the Suggestion Box component and translated in the specified language.
    Parameters:
      `language` - the language in which are written the messages.
    Returns:
      the resource with the translated messages.

  - ### getSettings

    public static org.silverpeas.kernel.bundle.SettingBundle getSettings()
    Gets all the settings of the Suggestion Box component.
    Returns:
      the resource with the different component settings.

  - ### getIcons

    public static org.silverpeas.kernel.bundle.LocalizationBundle getIcons()
    Gets all the icons definitions particular to the Suggestion Box component.
    Returns:
      the resource with icons definition.

  - ### setTaxonomyEnabled

    public void setTaxonomyEnabled(boolean taxonomyEnabled)

  - ### isTaxonomyEnabled

    public boolean isTaxonomyEnabled()

  - ### setNotificationAllowed

    public void setNotificationAllowed(boolean notificationAllowed)

  - ### isNotificationAllowed

    public boolean isNotificationAllowed()

  - ### setBroadcastModes

    public void setBroadcastModes(String paramValue)

  - ### isBroadcastingByTicker

    public boolean isBroadcastingByTicker()

  - ### isBroadcastingByBlockingNews

    public boolean isBroadcastingByBlockingNews()

  - ### setDelegatedNewsEnabled

    public void setDelegatedNewsEnabled(boolean delegatedNewsEnabled)

  - ### isDelegatedNewsEnabled

    public boolean isDelegatedNewsEnabled()

  - ### isMosaicViewForUsers

    public boolean isMosaicViewForUsers()

  - ### setMosaicViewForUsers

    public void setMosaicViewForUsers(boolean mosaicView)